package com.cym.utils.cert.ssl;
public class IssuerDN
{
    private String commonName;

    private String country;

    private boolean empty;

    private String encoded;

    private String encodedInternal;

    private String name;

    private String organization;

    private String organizationalUnit;

    private String rFC1779Name;

    private String rFC2253CanonicalName;

    private String rFC2253Name;

    private int type;

    public void setCommonName(String commonName){
        this.commonName = commonName;
    }
    public String getCommonName(){
        return this.commonName;
    }
    public void setCountry(String country){
        this.country = country;
    }
    public String getCountry(){
        return this.country;
    }
    public void setEmpty(boolean empty){
        this.empty = empty;
    }
    public boolean getEmpty(){
        return this.empty;
    }
    public void setEncoded(String encoded){
        this.encoded = encoded;
    }
    public String getEncoded(){
        return this.encoded;
    }
    public void setEncodedInternal(String encodedInternal){
        this.encodedInternal = encodedInternal;
    }
    public String getEncodedInternal(){
        return this.encodedInternal;
    }
    public void setName(String name){
        this.name = name;
    }
    public String getName(){
        return this.name;
    }
    public void setOrganization(String organization){
        this.organization = organization;
    }
    public String getOrganization(){
        return this.organization;
    }
    public void setOrganizationalUnit(String organizationalUnit){
        this.organizationalUnit = organizationalUnit;
    }
    public String getOrganizationalUnit(){
        return this.organizationalUnit;
    }
    public void setRFC1779Name(String rFC1779Name){
        this.rFC1779Name = rFC1779Name;
    }
    public String getRFC1779Name(){
        return this.rFC1779Name;
    }
    public void setRFC2253CanonicalName(String rFC2253CanonicalName){
        this.rFC2253CanonicalName = rFC2253CanonicalName;
    }
    public String getRFC2253CanonicalName(){
        return this.rFC2253CanonicalName;
    }
    public void setRFC2253Name(String rFC2253Name){
        this.rFC2253Name = rFC2253Name;
    }
    public String getRFC2253Name(){
        return this.rFC2253Name;
    }
    public void setType(int type){
        this.type = type;
    }
    public int getType(){
        return this.type;
    }
}